<%@page contentType="text/html; charset=UTF-8"%>
<%@ page import="com.csc.library.entry.HelpEntry,com.csc.library.system.*,com.csc.library.utilities.*,com.csc.library.entry.*,com.csc.library.database.*,com.csc.library.session.*,com.csc.library.report.ReportUDF"  %>
<jsp:useBean id="AS05_4" class="com.csc.library.system.Task" scope="page" />
<%AS05_4.setChannel(request, response);%>
<%HelpEntry screen = (HelpEntry) AS05_4.process("HelpEntry","AS05_4");%>
<%
String aysource=request.getParameter("__asysource");
		if(aysource.length()>0){
			((DbInquiry)screen.getInquiry().getChild("vmassessy")).setResultSet(aysource);
	}
	screen.process();
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="../CSS/TISCO.css" rel="stylesheet" type="text/css">
<script  language="JavaScript" src="../JS/SCREEN.js"></script>

<script type='text/javascript' src='../JS/ICONSMENU.js'></script>
<script language='javascript' src='../JS/HOTKEY.js'></script>
<script language='javascript'>setLang('<%=screen.getUProfile().get("lang")%>');</script>

<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function getDocno(){
	with(document.cscform){
			if((typeof __apsidtmp.length)!="undefined"){
			        for(i=0;i<__apsidtmp.length;i++){
					            if(__apsidtmp[i].value!=""){
								docno.innerHTML=__apsidtmp[i].value;
								break;
								}
					}
			}else{
						if((typeof __apsidtmp)!="undefined"){
									if(__apsidtmp.value!=""){
							         docno.innerHTML=__apsidtmp.value;	
								}
						}
			}
	}
}

function getTitle(){
	with(document.cscform){
			if((typeof __tdesc.length)!="undefined"){
			        for(i=0;i<__tdesc.length;i++){
					  			if(__tdesc[i].value!=""){
								mtitle.innerHTML=__tdesc[i].value;
								break;
								}
					}
			}else{
						if((typeof __tdesc)!="undefined"){
								if(__tdesc.value!=""){
							    mtitle.innerHTML=__tdesc.value;
								}
						}
			}
	}
}

function getstDate(){
	with(document.cscform){
			if((typeof __apsstartdate.length)!="undefined"){
			        for(i=0;i<__apsstartdate.length;i++){
					  			if(__apsstartdate[i].value!=""){
								stdate.innerHTML=__apsstartdate[i].value;
								break;
								}
					}
			}else{
						if((typeof __apsstartdate)!="undefined"){
								if(__apsstartdate.value!=""){
							    stdate.innerHTML=__apsstartdate.value;
								}
						}
			}
	}
}

function getedDate(){
	with(document.cscform){
			if((typeof __apsenddate.length)!="undefined"){
			        for(i=0;i<__apsenddate.length;i++){
					  			if(__apsenddate[i].value!=""){
								eddate.innerHTML=__apsenddate[i].value;
								break;
								}
					}
			}else{
						if((typeof __apsenddate)!="undefined"){
								if(__apsenddate.value!=""){
							    eddate.innerHTML=__apsenddate.value;
								}
						}
			}
	}
}

function getmyForm(){
	with(document.cscform){
			if((typeof __formname.length)!="undefined"){
			        for(i=0;i<__formname.length;i++){
					  			if(__formname[i].value!=""){
											formname.innerHTML=__formname[i].value;
								break;
								}
					}
			}else{
						if((typeof __formname)!="undefined"){
								if(__formname.value!=""){
							    		formname.innerHTML=__formname.value;
								}
						}
			}
	}
}

function wrtietoSpan(){
			getDocno();
			getTitle();
   		    getstDate();
		    getedDate();
			getmyForm();
}

//-->
</script>

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="wrtietoSpan();">
  <form name="cscform" method="post">


<!----------BEGIN CSC INITIAL ZONE ------------------------>

<%=screen.InitialVariable()%>

<!----------END CSC INITIAL ZONE -------------------------->

<input type="hidden" name="__cmd" value="">
<input type="hidden" name="__help" value="">
<input type="hidden" name="__pageCall" value="<%=request.getParameter("__screen")%>">
<input type="hidden" name="__asfid" value="<%=request.getParameter("__asfid")%>">
 <input type="hidden" name="__language" value ="<%=screen.getUProfile().get("lang")%>"> 

  <br>
  <div align="center">
    <table  class="" cellpadding="0"  cellspacing="0">
      <tr > 
        <td  class="header">AS05_4,
          <script language="javascript">swapLang('Save score');</script></td>
      </tr>
      <tr > 
        <td  colspan="2"> 
          <div align="center"> <br>
            <table border="0" align="center" cellpadding="3" cellspacing="1" class="maxsize">
              <tr valign="baseline"> 
                <td width="19%" nowrap><font size="2" color="#1D95E2"><strong> 
                  </strong> 
                  <script language="javascript">swapLang('Docno');</script>
                  <strong> </strong></font></td>
                <td colspan="3"><font size="2"><span id="docno"></span></font></td>
              </tr>
              <tr valign="baseline"> 
                <td width="19%" nowrap><font size="2" color="#1D95E2"> 
                  <script language="javascript">swapLang('Title');</script>
                  </font></td>
                <td colspan="3"><font class="normal"><span id="mtitle"></span></font></td>
              </tr>
              <tr valign="baseline"> 
                <td nowrap><font size="2" color="#1D95E2"> 
                  <script language="javascript">swapLang('Uniform');</script>
                  </font></td>
                <td colspan="3"><font class="normal"><span id="formname"></span> 
                  </font></td>
              </tr>
              <tr valign="baseline"> 
                <td width="19%" nowrap><font size="2" color="#1D95E2"> 
                  <script language="javascript">swapLang('start date');</script>
                  </font></td>
                <td width="10%" nowrap> <font class="normal">&nbsp; </font><font size="2"> 
                  <span id="stdate"></span></font></td>
                <td width="11%" nowrap><font size="2" color="#1D95E2"> 
                  <script language="javascript">swapLang('end date');</script>
                  </font></td>
                <td width="60%" nowrap> <font class="normal">&nbsp; </font><font size="2"> 
                  <span id="eddate"></span></font></td>
              </tr>
            </table>
          <br>
            <table width="464" border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#666666" class="largest">
              <tr> 
                <td class="title1" width="64"><div align="center"><font size="2" color="#1D95E2">
                    <script language="JavaScript">
swapLang('Code');
</script>
                    </font></div></td>
                <td class="title1" width="326"><div align="center"><font size="2" color="#1D95E2">
                    <script language="JavaScript">
swapLang('Description');
</script>
                    </font></div></td>
                <td class="title1" width="123"><div align="center"><font size="2" color="#1D95E2">
                    <script language="JavaScript">
swapLang('Type');
</script>
                    </font></div></td>
                <td class="title1" width="88"><div align="center"><font size="2" color="#1D95E2">
                    <script language="JavaScript">
swapLang('Score');
</script>
                    </font></div></td>
              </tr>
			  <%
			  		while(screen.nextRec()){
			  %>
			  <input type="hidden" name="__tdesc" value="<%=screen.getString("tapstran0","tdesc")%>">
			  <input type="hidden" name="__formname" value="<%=screen.getString("masform","asfid")%>&nbsp;&nbsp;<%=screen.getString("masform","tdesc")%>">
			  <input type="hidden" name="__apsidtmp" value="<%=screen.getString("tapstran0","apsid")%>">  
			  <input type="hidden" name="__apsstartdate" value="<%=screen.getString("tapstran0","apsstartdate")%>">  
			  <input type="hidden" name="__apsenddate" value="<%=screen.getString("tapstran0","apsenddate")%>">  
              <tr> 
                <td nowrap><div align="center"><%=screen.getString("apsassessy")%></div></td>
                <td nowrap><%=screen.getString("vmassessy","empprefixname")%><%=screen.getString("vmassessy","emptfname")%>&nbsp;&nbsp;&nbsp;<%=screen.getString("vmassessy","emptlname")%></td>
                <td nowrap><div align="center"><%=screen.getString("vmassessy","emptype")%></div></td>
                <td nowrap><div align="center"><%=screen.getString("apsscore")%></div></td>
              </tr>
			  <%
			  }
			  %>
            </table>
            <div align="right"><a href="javascript:window.close();" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image4','','../IMAGES/BUTTON/SWAP/BACK_SWAP20.gif',1)"> 
              <img SRC="../IMAGES/BUTTON/MAIN/BACK20.gif" alt="กลับไปหน้าที่แล้ว" name="Image4" width="20" height="20" border="0" align="absmiddle"></a>&nbsp;&nbsp;<br>
            </div>
          </div></td>
      </tr>
      <tr bordercolor="0069B3"> 
        <td  class="bottom"></td>
      </tr>
    </table>
  </div>
  <input type="hidden" name="__asysource" value="<%= aysource%>">    
</form>
</body>
</html>
